defaultpen(fontsize(10 pt));
settings.tex="xelatex";

//texpreamble("\usepackage[mathrm=sym]{unicode-math}
//            \setmainfont{Fira Sans}
//            \setmathfont{Fira Math Regular}");

texpreamble("\usepackage{unicode-math}
            \setmainfont{XITS}
            \setmathfont{XITS Math}
            \usepackage{fontawesome5}");

pen rose = RGB(128,0,0);
pen roseblue = RGB(167,188,214);
pen roseyellow = RGB(222,205,99);
pen rosebrown = RGB(108,87,27);
pen roseorange = RGB(232,119,34);
pen rosenavy = RGB(79,117,139);
pen rosewhite = RGB(223,209,167);
pen rosegreen = RGB(61,68,30);
pen rosegray = RGB(84,88,90);

transform3 cus(triple a, triple b, triple c)
{
  transform3 t=identity(4);

  t[0][0]=a.x/length(a);
  t[0][1]=b.x/length(b);
  t[0][2]=c.x/length(c);
  t[1][0]=a.y/length(a);
  t[1][1]=b.y/length(b);
  t[1][2]=c.y/length(c);
  t[2][0]=a.z/length(a);
  t[2][1]=b.z/length(b);
  t[2][2]=c.z/length(c);
  return t;
}
