defaultpen(fontsize(10 pt));
import contour; import graph;
texpreamble("\usepackage{fourier}");
size(0,7cm);
real f(real x, real y){
    return y^3-x*y+2y^2-x^3+2*x;
}
limits((-3,-3),(3,3));
guide[][] g=contour(
    f,(-3,-3),(3,3),new real[] {0});
draw(g,orange+0.75);
xaxis("$x$",BottomTop,LeftTicks);
yaxis("$y$",LeftRight,RightTicks);
label("$y^3-xy+2y^2-x^3+2x=0$",
    point(N),N);
