defaultpen(fontsize(10 pt));
settings.outformat="pdf";
settings.render=10;
settings.tex="xelatex";
import smoothcontour3;
import graph3; import grid3; import three; import tube;
import animate; import labelpath3; import contour; import
palette;

size(5cm,0);
currentprojection=perspective(3,2,2);
//currentlight=light(white,
//                   specularfactor=1,
//                   (0,0,4),(0,0,-4));

pen rose = cmyk(0,1,.65,.28);
pen roseblue = cmyk(.40,.16,.01,.02);
pen roseyellow=cmyk(.02,.05,.53,.05);
pen rosebrown=cmyk(.16,.32,1.00,.61);
pen roseorange=cmyk(0,0.64,0.95,0);
pen rosenavy=cmyk(.71,.30,.13,.41);
pen rosewhite=cmyk(.03,.05,.26,.02);
pen rosegreen=cmyk(0.49,0.27,0.98,0.79);

triple s(pair uv) {
    real x=uv.x; real y=uv.y;
    return (x,
            y,
            x^2-x*y+y^2-x-y+1);
}

real f(triple w) {
    real x=w.x; real y=w.y; real z=w.z;
    real c1=0.05; real c2=4;
    return ((x^2+y^2-1)^2+z^2)*((y^2+z^2-1)^2+x^2)*((z^2+x^2-1)^2+y^2)
         - c1^2*(1 + c2*(x^2 + y^2 + z^2));
}

splinetype[] Notaknot={notaknot,notaknot,notaknot};
surface surf=implicitsurface(f,(-2,-2,-2),(2,2,2), n=40);
draw(surf,roseorange);

