import texsettings;
import slopefield; import graph;
size(200);
real dy(real x,real y) {return x*y-y^2;}
real xmin=-1, xmax=1;
real ymin=-0.2, ymax=1;

add(slopefield(dy,(xmin,ymin),(xmax,ymax),21,deepgreen+0.4bp,Arrow));

pair C=(0.5,0.4);
draw(curve(C,dy,(xmin,ymin),(xmax,ymax)),deepblue+1bp);

label("$C$",C,NE,UnFill);
dot(C,UnFill);

xaxis(YEquals(ymin),xmin,xmax,LeftTicks());
xaxis(YEquals(ymax),xmin,xmax);
yaxis(XEquals(xmin),ymin,ymax,RightTicks());
yaxis(XEquals(xmax),ymin,ymax);

