import texsettings;
import graph;
size(8cm,7cm,IgnoreAspect);
file in=input("prime.dat").line();
real [][] a=in;
real f(real x){
    return x/log(x);
    }
xlimits(0,1050); ylimits(0,175);
guide p;
for(int i=1;i<a.length;++i){
    p=p--(a[i][0],a[i][1]);
    }
path g=graph(f,2,1000);
draw(p,roseorange+0.75,
    legend=Label("$\pi(x)$"));
draw(g,rosenavy+0.75,
    legend=Label("$x/\log(x)$"));
xaxis(BottomTop,LeftTicks);
yaxis(LeftRight,RightTicks);
attach(scale(0.9)*legend(),
    point(SE),20N+16W,UnFill);
